Skip to main content
GET
List all users

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

type
enum<string>

If passed, you will get all users under the type.

Available options:
individual,
business
firstName
string

If passed, you will get all users with the case-insensitive partial match of firstName.

lastName
string

If passed, you will get all users with the case-insensitive partial match of lastName.

businessName
string

If passed, you will get all users with the case-insensitive partial match of businessName.

email
string

If passed, you will get all users with the case-insensitive partial match of email.

If passed, you will get all users with the case-insensitive partial match of search in the first name, last name, business name, or email. If the search is a valid UUID, you will get the user with the matching ID.

limit
string

default to 10, maximum to 100

createdBefore
string<date>

ISO format: YYYY-MM-DD

createdAfter
string<date>

ISO format: YYYY-MM-DD

Response

Success

count
integer
users
(User Object (Individual) · object | User Object (Business) · object)[]
nextCursor
string

The createdAt timestamp of the last record in the current page. Pass this as createdBefore in the next request to retrieve the next page of results.